> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /madeinchina/companies/search

> Search Made-in-China suppliers/manufacturers by keyword. Returns company cards: name, location, business type, main products, management certification and audited status. Filter by category, certification, business type, annual revenue, employees, province and audited status.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/madeinchina/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/madeinchina/companies/search:
    post:
      tags:
        - /madeinchina
      summary: /madeinchina/companies/search
      description: >-
        Search Made-in-China suppliers/manufacturers by keyword. Returns company
        cards: name, location, business type, main products, management
        certification and audited status. Filter by category, certification,
        business type, annual revenue, employees, province and audited status.


        **Price:** 1 credit
      operationId: __api_madeinchina_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MadeinchinaCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MadeinchinaCompanyCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MadeinchinaCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        category:
          anyOf:
            - $ref: '#/components/schemas/MadeinchinaCategory'
            - type: 'null'
        certification:
          anyOf:
            - $ref: '#/components/schemas/MadeinchinaCertification'
            - type: 'null'
        business_type:
          anyOf:
            - $ref: '#/components/schemas/MadeinchinaBusinessType'
            - type: 'null'
        annual_revenue:
          anyOf:
            - $ref: '#/components/schemas/MadeinchinaAnnualRevenue'
            - type: 'null'
        employees:
          anyOf:
            - $ref: '#/components/schemas/MadeinchinaEmployees'
            - type: 'null'
        province:
          anyOf:
            - $ref: '#/components/schemas/MadeinchinaProvince'
            - type: 'null'
        audited_supplier:
          type: boolean
          default: false
      type: object
      required:
        - keyword
        - count
    MadeinchinaCompanyCard:
      properties:
        '@type':
          type: string
          default: MadeinchinaCompanyCard
        name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_audited:
          type: boolean
          default: false
        business_type:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        main_products:
          items:
            type: string
          type: array
          default: []
        certification:
          anyOf:
            - type: string
            - type: 'null'
        capabilities:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MadeinchinaCategory:
      type: string
      enum:
        - agriculture-food
        - apparel-accessories
        - arts-crafts
        - auto-motorcycle-parts
        - bags-cases-boxes
        - chemicals
        - computer-products
        - construction-decoration
        - consumer-electronics
        - electrical-electronics
        - furniture
        - health-medicine
        - industrial-equipment
        - instruments-meters
        - light-industry-daily-use
        - lights-lighting
        - machinery
        - metallurgy-mineral-energy
        - office-supplies
        - packaging-printing
        - security-protection
        - service
        - sporting-goods
        - textile
        - tools-hardware
        - toys
        - transportation
    MadeinchinaCertification:
      type: string
      enum:
        - ISO9001:2015
        - ISO 14001
        - ISO 9001
        - Others
        - ISO45001:2018
        - ISO 9000
        - BSCI
        - ISO 14000
        - ISO 20000
        - IATF16949
        - OHSAS/ OHSMS 18001
        - QC 080000
        - GMP
        - ISO 14064
        - HSE
        - ISO 13485
        - FSC
        - SEDEX
        - ISO 50001
        - ANSI/ESD
        - ISO 22000
        - QHSE
        - ISO 10012
        - ISO 17025
        - IFS
        - BRC
        - HACCP
        - GAP
        - EICC
        - WRAP
        - SA 8000
        - ISO 29001
        - BS 25999-2
        - ASME
        - QSR
        - AIB
        - SHE Audits
        - PAS 28000
        - HQE
        - LEED
        - BREEAM
        - ISO14001:2015
        - ISO9001:2008
        - ISO45001:2016
    MadeinchinaBusinessType:
      type: string
      enum:
        - manufacturer
        - trading-company
        - group-corporation
        - other
    MadeinchinaAnnualRevenue:
      type: string
      enum:
        - below-1m
        - 1m-2.5m
        - 2.5m-5m
        - 5m-10m
        - 10m-50m
        - 50m-100m
        - above-100m
    MadeinchinaEmployees:
      type: string
      enum:
        - below-5
        - 5-50
        - 51-200
        - 201-500
        - 501-1000
        - above-1000
    MadeinchinaProvince:
      type: string
      enum:
        - Guangdong
        - Zhejiang
        - Shandong
        - Jiangsu
        - Fujian
        - Shanghai
        - Hebei
        - Anhui
        - Henan
        - Hubei
        - Hunan
        - Beijing
        - Sichuan
        - Tianjin
        - Chongqing
        - Jiangxi
        - Shaanxi
        - Liaoning
        - Guangxi
        - Yunnan
        - Hainan
        - Shanxi
        - Hongkong
        - Guizhou
        - Jilin
        - Heilongjiang
        - Xinjiang
        - InnerMongolia
        - Gansu
        - Taiwan
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````